Skip to main content
Welcome to the preview portal — This is an early release of the new Doc Hub experience, with more content coming soon.

Google Pay Use Cases


Digital payments are electronic payments that transfer funds from one payment account to another. These use cases demonstrate how the authentication service works using a digital payment method like Google Pay.

Set up Device Data Collection Using Google Pay

Running the Setup service identifies the customer's bank and prepares for collecting data about the device that the customer is using to place the order. This use case demonstrates how the service works using a digital payment method like Google Pay.

POST /risk/v1/authentication-setups

POST /risk/v1/authentication-setups

POST /risk/v1/authentication-setups

Example: Device Data Collection Setup Using Google Pay

{  "paymentInformation": {    "fluidData": {      "value": "eyJzaWduYXR1cmUiOiJNRVFDSUVhVVBmc1RIMERyMnZmeG8wVkFlZ3N2bHlSRzdENEFsYmRwa1pPdlNzZGtBaUFVODE2aHpmMG5BMzJzQmx6anlUSURyZXBHNUY1eEtlRmNnSE9aK3RML2ZRXHUwMDNkXHUwMDNkIiwi..."    }  },  "processingInformation": {    "paymentSolution": "012"  }}
{  "consumerAuthenticationInformation": {    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",    "deviceDataCollectionUrl": "https://centinelapistag.cardinalcommerce.com/V1/Cruise/Collect",    "referenceId": "9493f2bf-86b0-44ff-bbce-0f5523e1b34a",    "token": "AxizbwSTVW4Mj1fvsU27ABEBURxPZebOAE1IZNJMvRiuZhTA9AAA+QBf"  },  "id": "6298269599786696003003",  "status": "COMPLETED",  "submitTimeUtc": "2022-08-24T17:42:40Z"}

Some payment cards require specific information to be collected during a transaction.

Card-Specific Fields for Device Data Collection Setup Using Google Pay
Cartes Bancaires 1 field
FieldDescription
paymentInformation.card.typeThis field is required when the card type is JCB, Cartes Bancaires, China UnionPay, or Meeza.
China UnionPay 1 field
FieldDescription
paymentInformation.card.typeThis field is required when the card type is JCB, Cartes Bancaires, China UnionPay, or Meeza.
JCB 1 field
FieldDescription
paymentInformation.card.typeThis field is required when the card type is JCB, Cartes Bancaires, China UnionPay, or Meeza.
Meeza 1 field
FieldDescription
paymentInformation.card.typeThis field is required when the card type is JCB, Cartes Bancaires, China UnionPay, or Meeza.

These fields are required for transactions in specific countries.

Country-Specific Fields for Device Data Collection Setup Using Google Pay
Canada 2 fields
FieldDescription
orderInformation.billTo.administrativeAreaThis field is required for transactions in the US and Canada.
orderInformation.billTo.postalCodeThis field is required when the orderInformation.billTo.country field value is US or CA.
Egypt (Meeza transactions) 2 fields
FieldDescription
consumerAuthenticationInformation.overrideCountryCodeFor Meeza transactions, this value must be set to EG when Egypt is not set as the country in merchant configuration during merchant boarding.
merchantInformation.merchantDescriptor.countryFor Meeza transactions, this value must be set to EG when Egypt is not set as the country in merchant configuration during merchant boarding.
United States 2 fields
FieldDescription
orderInformation.billTo.administrativeAreaThis field is required for transactions in the US and Canada.
orderInformation.billTo.postalCodeThis field is required when the orderInformation.billTo.country field value is US or CA.

Check Enrollment Using Google Pay

The Check Enrollment service attempts to authenticate the cardholder. This use case demonstrates how the service works using Google Pay as the digital payment method.

POST /risk/v1/authentications

POST /risk/v1/authentications

POST /risk/v1/authentications

Example: Check Enrollment Using Google Pay

{  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "10.99"    },    "billTo": {      "address1": "1 Market St",      "address2": "Address 2",      "administrativeArea": "CA",      "country": "US",      "locality": "san francisco",      "firstName": "John",      "lastName": "Doe",      "phoneNumber": "4158880000",      "email": "[email protected]",      "postalCode": "94105"    }  },  "paymentInformation": {    "fluidData": {      "value": "eyJzaWduYXR1cmUiOiJNRVFDSUVhVVBmc1RIMERyMnZmeG8wVkFlZ3N2bHlSRzdENEFsYmRwa1pPdlNzZGtBaUFVODE2aHpmMG5BMzJzQmx6anlUSURyZXBHNUY1eEtlRmNnSE9aK3RML2ZRXHUwMDNk..."    }  },  "processingInformation": {    "paymentSolution": "012"  },  "buyerInformation": {    "merchantCustomerId": "334124572",    "mobilePhone": "1245789632"  },  "consumerAuthenticationInformation": {    "transactionMode": "MOTO"  }}
{  "consumerAuthenticationInformation": {    "accessToken": "eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...",    "deviceDataCollectionUrl": "https://centinelapistag.cardinalcommerce.com/V1/Cruise/Collect",    "referenceId": "9493f2bf-86b0-44ff-bbce-0f5523e1b34a",    "token": "AxizbwSTVW4Mj1fvsU27ABEBURxPZebOAE1IZNJMvRiuZhTA9AAA+QBf"  },  "id": "6298269599786696003003",  "status": "COMPLETED",  "submitTimeUtc": "2021-08-24T17:42:40Z"}

Required Fields for Check Enrollment Using Google Pay

The required fields for checking enrollment with Google Pay are the same as the standard Check Enrollment required fields. See Standard Use Cases for the complete field list.

Validating a Challenge Using Google Pay

The Validation service compares the customer's response to the challenge from the issuing bank to validate the customer identity. This use case demonstrates how the service works using Google Pay.

POST /risk/v1/authentication-results

POST /risk/v1/authentication-results

POST /risk/v1/authentication-results

Example: Validate a Challenge Using Google Pay

{  "orderInformation": {    "amountDetails": {      "currency": "USD",      "totalAmount": "200.00"    },    "lineItems": [      {        "unitPrice": "10",        "quantity": "2",        "taxAmount": "32.40"      }    ]  },  "paymentInformation": {    "card": {      "type": "002",      "expirationMonth": "12",      "expirationYear": "2025",      "number": "5200000000000007"    },    "fluidData": {      "value": "XFx1MDAzZFwiLFwia2V5RXhwaXJhdGlvblwiOlwiMTYzMDUxNjYyODA0OVwifSIsInNpZ25hdHVyZXMiOlsiTUVVQ0lRRHlTQTV1T2t5UXQ5cFoyQlEzaXBmcGNWT0F5ZmIzM2ozUEZPQUw3K1o5S3dJZ2FjWWp2YWJpTEUyWHFkNU1xNGphNStEVldoREttVHpoMmk1RGlnbllFQndcdTAwM2QiXX0sInByb3RvY29sVmVyc2lvbiI6IkVDdjIiLCJzaWduZWRNZXNzYWdlIjoie1wiZW5jcnlwdGVkTWVzc2FnZVwiOlwiWG5qOGxSSWhGMDVEWWdRK3hwNEE5YUhsVGE1U2ljdUJac2w1L2NNRkJlclBBY1RzaE4zRFlOb1MvdEVkRkRYRzZJRXBpVlcxVnV6OUprejNWWGdpMzJrT21EVk9aakJNWTFvVHdTQnA5WG53ejlLYUtOekYvRFBSTy9jbStobW9iZ2dSdmxGSStOekN5U1VNWW1hbTJjZFUyZGRZWmZHck9nZWNSc3FrdW1tNmlMa0xGQTFJcDFrNWFRV21EUElEdTh1SnNmbWs4bzMyMlpteVdMMVVWenE0WHFkNTZScXZoL1VFeEp3RC9HZXU5SW00M0pmblZqckVkeDE0Ykx1OUpm"    }  },  "consumerAuthenticationInformation": {    "authenticationTransactionId": "PYffv9G3sa1e0CQr5fV0"  }}
{  "clientReferenceInformation": {    "code": "1675288043120"  },  "consumerAuthenticationInformation": {    "indicator": "internet",    "ucafCollectionIndicator": "0",    "strongAuthentication": {      "OutageExemptionIndicator": "0"    },    "token": "AxjzbwSTbhMKrRswWTYSABECT9u+QBvfSB84gL2IZNJMvRiyubWAOAAA+Qxb"  },  "id": "6752880430346470503954",  "status": "AUTHENTICATION_SUCCESSFUL",  "submitTimeUtc": "2023-02-01T21:47:23Z"}

Required Fields for Validating a Challenge Using Google Pay

The required fields for validating a challenge with Google Pay are the same as the standard Validate Authentication required fields. See Standard Use Cases for the complete field list.

Last published: October 28, 2026

Not available for your audience

This page isn't available for your current audience selection.